Subject: Re: [PATCH net-next 2/2] bpf: add bpf_redirect() helper

From: Alexei Starovoitov <[email-masked]>
Date: Tue, 15 Sep 2015 22:08:22 -0700

On 9/15/15 9:50 PM, John Fastabend wrote:
> Looks like you can remove the check. I would prefer to let the stack
> handle this case using normal mechanisms.
>
> I had to do a bit of tracking but netif_running check equates roughly
> to your IFF_UP case via,
...
> Seem reasonable? Or did you put it there to work around some specific
> case I'm missing?

well, in the forwarding path is_skb_forwardable() does the IFF_UP check
before netif_running() has to do it, so yeah this check can be dropped.

Will fix in v2.
Thanks for the review!